%define current_version 0.0.0.5
%define libname compel

Name:		lib%{libname}
Version:	%{current_version}
Release:        1%{?dist}
Summary:	A library to execute arbitrary code in a context of a foreign process
Group:		System Environment/Base
License:	GPLv2
URL:		http://criu.org/
Source0:	%{name}-%{version}.tar.bz2

BuildRequires:	asciidoc xmlto python2-devel libnet-devel

ExclusiveArch:	x86_64

%description
A library to execute arbitrary code in a context of a foreign process.

%package devel
Summary:	Header files and libraries for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries, scripts and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
CFLAGS+=`echo %{optflags} | sed -e 's,-fstack-protector\S*,,g'` make V=1 %{libname}/%{libname} WERROR=0 PREFIX=%{_prefix}

%install
make install-%{libname} DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} LIBDIR=%{_libdir} LIBEXECDIR=%{_libexecdir}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_bindir}/%{libname}
%{_libdir}/lib%{libname}.so.1.0

%files devel
%{_libdir}/lib%{libname}.a
%{_libdir}/lib%{libname}.so
%{_libdir}/lib%{libname}.so.1
%{_includedir}/%{libname}
%{_libexecdir}/%{libname}

%defattr(-, root, root)

%changelog
* Wed Mar 22 2017 Cyrill Gorcunov <gorcunov@gmail.com> 0.0.0.5
 - vz7: compel: new catch and "release at" helpers added
 - vz7: compel: wrap rt_sigframe with parentheses

* Fri Mar 17 2017 Cyrill Gorcunov <gorcunov@gmail.com> 0.0.0.4
 - vz7: compel: compel_emergency_sigframe() helper introduced
 - Add Makefile.version (#PSBM-56266)
 - vz7: compel: return ptrace area helpers back to uapi
 - vz7: Drop obsolete comment
 - vz7: Sync with xemul/criu-dev
 - vz7: Drop obsolete comment

* Thu Mar 16 2017 Cyrill Gorcunov <gorcunov@gmail.com> 0.0.0.3
 - Add Makefile.version (#PSBM-56266)
 - vz7: compel: return ptrace area helpers back to uapi
 - vz7: Drop obsolete comment
 - vz7: Sync with xemul/criu-dev
 - vz7: Drop obsolete comment

* Fri Jan 13 2017 Cyrill Gorcunov <gorcunov@gmail.com> 0.0.0.2
 - Add Makefile.version (#PSBM-56266)
